Description:
============


Technical information:
----------------------


* Scientific domain :climate
* Language : Fortran
* Parallelism : MPI + 
* GPU acceleration : No
* Scalability : high
* Vectorization: moderate


Compilation and simulation:
===========================



Download:
---------

Information (if needed) about how to get the sources.


```
./download.sh
```

Compile:
--------

See
```

./compile.sh
```



Run and validate the simulations:
--------------------------------
Five configurations (see below) should be performed for 20000 steps each


```
1560 tasks ; jpni=52, jpnj=30
1920 tasks ; jpni=40, jpnj=48
2160 tasks ; jpni=45, jpnj=48
2640 tasks ; jpni=40, jpnj=66
3960 tasks ; jpni=60, jpnj=66

```
1. before launching the runs check the file: 
```
 grep nn_itend  $HOME/release-4.0/tests/BENCH/EXP00/namelist_cfg_orca1_like 
 nn_itend    =    20000   !  last time step
```
nn_itend value should be set at 20000  (default=1000) 

2. Change the flag to get timing information 
 ```
grep timing $HOME/release-4.0/tests/BENCH/EXP00/namelist_cfg_orca1_like
   ln_timing   = .true.   !  timing by routine write out in timing.output file
 ```  
Reporting results :
-------------------
Please commit these files for each configuration

```
      7684 Feb  5 16:41 namelist_top_cfg
     7274 Feb  5 16:41 namelist_pisces_cfg
     4462 Feb  5 16:41 namelist_ice_cfg
    14065 Feb  5 16:41 namelist_cfg_orca1_like
    13958 Feb  5 16:41 namelist_cfg_orca12_like
    14207 Feb  5 16:41 namelist_cfg_orca025_like
 24032560 Feb  5 16:41 nemo
     9900 Feb  5 16:41 namelist_top_ref
   105151 Feb  5 16:41 namelist_ref
    32804 Feb  5 16:41 namelist_pisces_ref
    17372 Feb  5 16:41 namelist_ice_ref
    13897 Feb  5 16:41 namelist_cfg
       
   318107 Feb  5 16:41 layout.dat
    32994 Feb  5 16:41 output.namelist.top
    18610 Feb  5 16:41 output.namelist.pis
    10548 Feb  5 16:41 output.namelist.ice
   932535 Feb  5 16:41 output.namelist.dyn
       10 Feb  5 16:57 time.step
  1560995 Feb  5 16:57 timing.output
   661536 Feb  5 16:57 ocean.output
     1448 Feb  5 16:57 communication_report.txt

```
Reporting results
-----------------
Provide the following table (below example for IRENE)
```
Nb_tasks| NNODES  |  SYPD     |  walltime(s)|
1560    |  13	  |     116,7 |        1743 |
1920    |  16     |     137,6 |        1489 |
2160    |  20     |     151,4 |        1351 |
2640    |  22     |     171,9 |	       1195 |
3960    |  33     |     212,9 |	        996 |
```
SYPD value (Simulated years per day)  is given in the file named **timing.output** \
 Total           time :  926.210162 (**SYPD:   212.954** ) on MPI rank :     3960







